Generated from the live OpenAPI document — 2026-10-19.This group has no curated guide page.All routes require Authorization: Bearer atamaia_… and return ApiEnvelope<T>({ ok, requestId, data, error, errorCode, count, hint }); the schemas below show thedata payload. * marks required properties.

Operations

MethodPathSummary / bodyResponses
GET /api/projects 200 PagedResultOfProjectDto
POST /api/projects 200 ProjectDto
DELETE /api/projects/{id} 200
GET /api/projects/{id} 200 ProjectDto
PATCH /api/projects/{id} 200 ProjectDto
PUT /api/projects/{id} 200 ProjectDto
GET /api/projects/{id}/files 200 AgentRunFileInfo[]
GET /api/projects/{id}/files/content 200 AgentRunFileContent
GET /api/projects/{id}/files/download 200
GET /api/projects/by-key/{key} 200 ProjectDto

Schemas

Request and response shapes referenced by the operations above. Nested types named here are also defined under their own group or inthe group index.

AgentRunFileContent

PropertyTypeDescription
path string
sizeBytes int64
isBinary boolean
truncated boolean
text null,string
modifiedAtUtc date-time

PagedResultOfProjectDto

PropertyTypeDescription
items* ProjectDto[]
totalCount int32
page int32
pageSize int32
hasTotal boolean
moreAvailable null,boolean
totalPages int32
hasNextPage boolean
hasPreviousPage boolean

ProjectDto

PropertyTypeDescription
id int64
guid uuid
key string
name string
description null,string
status ProjectStatus
taskCount int32
openTaskCount int32
type ProjectType
orgUnitId int64
orgUnitName null,string
repositoryPath null,string
outputDirectory null,string
defaultBranch null,string
createdAtUtc date-time
updatedAtUtc date-time